Subject: bug#38936: 27.0.60; vector_marked_p: GC crash

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 30 Oct 2020 15:34:08 +0100

Mike Hamrick <[email-masked]> writes:

> I've experienced a few crashes recently during GC, which makes it
> challenging to come up with steps to reproduce.  I did however manage
> to catch one in the debugger. Please find the attached stack trace and
> system information below.
>
> * thread #1, queue = 'com.apple.main-thread', stop reason = EXC_BAD_ACCESS (code=EXC_I386_GPFLT)
>     frame #0: 0x0000000100222a28 Emacs`vector_marked_p(v=0x001dffffa21bfa11) at alloc.c:3726:10
>    3723         }

[...]

>   * frame #0: 0x0000000100222a28 Emacs`vector_marked_p(v=0x001dffffa21bfa11) at alloc.c:3726:10
>     frame #1: 0x0000000100226085 Emacs`vectorlike_marked_p(header=0x001dffffa21bfa11) at alloc.c:3744:10
>     frame #2: 0x0000000100222c62 Emacs`mark_frame(ptr=0x0000000105783630) at alloc.c:6321:20

This looks quite similar to gc crash that was fixed this summer, if I
recall correctly.  Are you still seeing these crashes in Emacs 28?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no